diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-spectrum-saturation-example.cc ns-3.43/examples/wireless/wifi-spectrum-saturation-example.cc
--- ns-3.42/examples/wireless/wifi-spectrum-saturation-example.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/examples/wireless/wifi-spectrum-saturation-example.cc	2024-10-09 16:41:09.844655800 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2009 MIRKO BANCHI
  * Copyright (c) 2015 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Mirko Banchi <mk.banchi@gmail.com>
  *          Sebastien Deronne <sebastien.deronne@gmail.com>
@@ -100,7 +89,7 @@
 int
 main(int argc, char* argv[])
 {
-    double distance{1};
+    meter_u distance{1};
     Time simulationTime{"10s"};
     uint16_t index{256};
     uint32_t channelWidth{0};
@@ -141,22 +130,22 @@
         NodeContainer wifiApNode;
         wifiApNode.Create(1);
 
-        YansWifiPhyHelper phy;
+        YansWifiPhyHelper yansPhy;
         SpectrumWifiPhyHelper spectrumPhy;
         if (wifiType == "ns3::YansWifiPhy")
         {
             YansWifiChannelHelper channel;
             channel.AddPropagationLoss("ns3::FriisPropagationLossModel");
             channel.SetPropagationDelay("ns3::ConstantSpeedPropagationDelayModel");
-            phy.SetChannel(channel.Create());
-            phy.Set("TxPowerStart", DoubleValue(1));
-            phy.Set("TxPowerEnd", DoubleValue(1));
+            yansPhy.SetChannel(channel.Create());
+            yansPhy.Set("TxPowerStart", DoubleValue(1));
+            yansPhy.Set("TxPowerEnd", DoubleValue(1));
 
             if (i > 31 && i <= 63)
             {
-                phy.Set("Antennas", UintegerValue(2));
-                phy.Set("MaxSupportedTxSpatialStreams", UintegerValue(2));
-                phy.Set("MaxSupportedRxSpatialStreams", UintegerValue(2));
+                yansPhy.Set("Antennas", UintegerValue(2));
+                yansPhy.Set("MaxSupportedTxSpatialStreams", UintegerValue(2));
+                yansPhy.Set("MaxSupportedRxSpatialStreams", UintegerValue(2));
             }
         }
         else if (wifiType == "ns3::SpectrumWifiPhy")
@@ -535,20 +524,20 @@
         if (wifiType == "ns3::YansWifiPhy")
         {
             mac.SetType("ns3::StaWifiMac", "Ssid", SsidValue(ssid));
-            phy.Set("ChannelSettings", StringValue(channelStr));
+            yansPhy.Set("ChannelSettings", StringValue(channelStr));
 
-            staDevice = wifi.Install(phy, mac, wifiStaNode);
+            staDevice = wifi.Install(yansPhy, mac, wifiStaNode);
             mac.SetType("ns3::ApWifiMac", "Ssid", SsidValue(ssid));
-            phy.Set("ChannelSettings", StringValue(channelStr));
-            apDevice = wifi.Install(phy, mac, wifiApNode);
+            yansPhy.Set("ChannelSettings", StringValue(channelStr));
+            apDevice = wifi.Install(yansPhy, mac, wifiApNode);
         }
         else if (wifiType == "ns3::SpectrumWifiPhy")
         {
             mac.SetType("ns3::StaWifiMac", "Ssid", SsidValue(ssid));
-            phy.Set("ChannelSettings", StringValue(channelStr));
+            spectrumPhy.Set("ChannelSettings", StringValue(channelStr));
             staDevice = wifi.Install(spectrumPhy, mac, wifiStaNode);
             mac.SetType("ns3::ApWifiMac", "Ssid", SsidValue(ssid));
-            phy.Set("ChannelSettings", StringValue(channelStr));
+            spectrumPhy.Set("ChannelSettings", StringValue(channelStr));
             apDevice = wifi.Install(spectrumPhy, mac, wifiApNode);
         }
 
@@ -602,6 +591,9 @@
 
         if (enablePcap)
         {
+            auto& phy =
+                (wifiType == "ns3::YansWifiPhy" ? dynamic_cast<WifiPhyHelper&>(yansPhy)
+                                                : dynamic_cast<WifiPhyHelper&>(spectrumPhy));
             phy.SetPcapDataLinkType(WifiPhyHelper::DLT_IEEE802_11_RADIO);
             std::stringstream ss;
             ss << "wifi-spectrum-saturation-example-" << i;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-tcp.cc ns-3.43/examples/wireless/wifi-tcp.cc
--- ns-3.42/examples/wireless/wifi-tcp.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/examples/wireless/wifi-tcp.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015, IMDEA Networks Institute
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Hany Assasa <hany.assasa@gmail.com>
 .*
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-timing-attributes.cc ns-3.43/examples/wireless/wifi-timing-attributes.cc
--- ns-3.42/examples/wireless/wifi-timing-attributes.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/examples/wireless/wifi-timing-attributes.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sebastien Deronne <sebastien.deronne@gmail.com>
  */
@@ -39,7 +28,7 @@
 // Example: set slot time to 20 microseconds, while keeping other values as defined in the
 // simulation script:
 //
-//          ./ns3 run "wifi-timing-attributes --slot=20"
+//          ./ns3 run "wifi-timing-attributes --slot=20us"
 //
 // Network topology:
 //
@@ -57,15 +46,15 @@
 int
 main(int argc, char* argv[])
 {
-    uint32_t slot{9};           // slot time in microseconds
-    uint32_t sifs{10};          // SIFS duration in microseconds
-    uint32_t pifs{19};          // PIFS duration in microseconds
+    Time slot{"9us"};           // slot time
+    Time sifs{"10us"};          // SIFS duration
+    Time pifs{"19us"};          // PIFS duration
     Time simulationTime{"10s"}; // Simulation time
 
     CommandLine cmd(__FILE__);
-    cmd.AddValue("slot", "Slot time in microseconds", slot);
-    cmd.AddValue("sifs", "SIFS duration in microseconds", sifs);
-    cmd.AddValue("pifs", "PIFS duration in microseconds", pifs);
+    cmd.AddValue("slot", "Slot time", slot);
+    cmd.AddValue("sifs", "SIFS duration", sifs);
+    cmd.AddValue("pifs", "PIFS duration", pifs);
     cmd.AddValue("simulationTime", "Simulation time", simulationTime);
     cmd.Parse(argc, argv);
 
@@ -107,12 +96,9 @@
     apDevice = wifi.Install(phy, mac, wifiApNode);
 
     // Once install is done, we overwrite the standard timing values
-    Config::Set("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Phy/Slot",
-                TimeValue(MicroSeconds(slot)));
-    Config::Set("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Phy/Sifs",
-                TimeValue(MicroSeconds(sifs)));
-    Config::Set("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Phy/Pifs",
-                TimeValue(MicroSeconds(pifs)));
+    Config::Set("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Phy/Slot", TimeValue(slot));
+    Config::Set("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Phy/Sifs", TimeValue(sifs));
+    Config::Set("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Phy/Pifs", TimeValue(pifs));
 
     // Mobility
     MobilityHelper mobility;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-txop-aggregation.cc ns-3.43/examples/wireless/wifi-txop-aggregation.cc
--- ns-3.42/examples/wireless/wifi-txop-aggregation.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/examples/wireless/wifi-txop-aggregation.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Sébastien Deronne
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sébastien Deronne <sebastien.deronne@gmail.com>
  */
@@ -111,7 +100,7 @@
     uint32_t payloadSize{1472}; // bytes
     Time simulationTime{"10s"};
     double txopLimit{3520}; // microseconds
-    double distance{5};     // meters
+    meter_u distance{5};
     bool enableRts{false};
     bool enablePcap{false};
     bool verifyResults{false}; // used for regression
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-vht-network.cc ns-3.43/examples/wireless/wifi-vht-network.cc
--- ns-3.42/examples/wireless/wifi-vht-network.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/examples/wireless/wifi-vht-network.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 SEBASTIEN DERONNE
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sebastien Deronne <sebastien.deronne@gmail.com>
  */
@@ -26,9 +15,11 @@
 #include "ns3/ipv4-global-routing-helper.h"
 #include "ns3/log.h"
 #include "ns3/mobility-helper.h"
+#include "ns3/multi-model-spectrum-channel.h"
 #include "ns3/on-off-helper.h"
 #include "ns3/packet-sink-helper.h"
 #include "ns3/packet-sink.h"
+#include "ns3/spectrum-wifi-helper.h"
 #include "ns3/ssid.h"
 #include "ns3/string.h"
 #include "ns3/udp-client-server-helper.h"
@@ -64,9 +55,11 @@
 {
     bool udp{true};
     bool useRts{false};
+    bool use80Plus80{false};
     Time simulationTime{"10s"};
-    double distance{1.0}; // meters
-    int mcs{-1};          // -1 indicates an unset value
+    meter_u distance{1.0};
+    int mcs{-1}; // -1 indicates an unset value
+    std::string phyModel{"Yans"};
     double minExpectedThroughput{0.0};
     double maxExpectedThroughput{0.0};
 
@@ -77,7 +70,12 @@
     cmd.AddValue("simulationTime", "Simulation time", simulationTime);
     cmd.AddValue("udp", "UDP if set to 1, TCP otherwise", udp);
     cmd.AddValue("useRts", "Enable/disable RTS/CTS", useRts);
+    cmd.AddValue("use80Plus80", "Enable/disable use of 80+80 MHz", use80Plus80);
     cmd.AddValue("mcs", "if set, limit testing to a specific MCS (0-9)", mcs);
+    cmd.AddValue("phyModel",
+                 "PHY model to use (Yans or Spectrum). If 80+80 MHz is enabled, then Spectrum is "
+                 "automatically selected",
+                 phyModel);
     cmd.AddValue("minExpectedThroughput",
                  "if set, simulation fails if the lowest throughput is below this value",
                  minExpectedThroughput);
@@ -86,6 +84,16 @@
                  maxExpectedThroughput);
     cmd.Parse(argc, argv);
 
+    if (phyModel != "Yans" && phyModel != "Spectrum")
+    {
+        NS_ABORT_MSG("Invalid PHY model (must be Yans or Spectrum)");
+    }
+    if (use80Plus80)
+    {
+        // SpectrumWifiPhy is required for 80+80 MHz
+        phyModel = "Spectrum";
+    }
+
     if (useRts)
     {
         Config::SetDefault("ns3::WifiRemoteStationManager::RtsCtsThreshold", StringValue("0"));
@@ -118,6 +126,9 @@
                 channelWidth *= 2;
                 continue;
             }
+            const auto is80Plus80 = (use80Plus80 && (channelWidth == 160));
+            const std::string widthStr = is80Plus80 ? "80+80" : std::to_string(channelWidth);
+            const auto segmentWidthStr = is80Plus80 ? "80" : widthStr;
             for (auto sgi : {false, true})
             {
                 uint32_t payloadSize; // 1500 byte IP packet
@@ -136,16 +147,11 @@
                 NodeContainer wifiApNode;
                 wifiApNode.Create(1);
 
-                YansWifiChannelHelper channel = YansWifiChannelHelper::Default();
-                YansWifiPhyHelper phy;
-                phy.SetChannel(channel.Create());
-
-                phy.Set("ChannelSettings",
-                        StringValue("{0, " + std::to_string(channelWidth) + ", BAND_5GHZ, 0}"));
-
-                WifiHelper wifi;
-                wifi.SetStandard(WIFI_STANDARD_80211ac);
+                NetDeviceContainer apDevice;
+                NetDeviceContainer staDevice;
                 WifiMacHelper mac;
+                WifiHelper wifi;
+                std::string channelStr{"{0, " + segmentWidthStr + ", BAND_5GHZ, 0}"};
 
                 std::ostringstream ossControlMode;
                 auto nonHtRefRateMbps = VhtPhy::GetNonHtReferenceRate(mcs) / 1e6;
@@ -153,6 +159,13 @@
 
                 std::ostringstream ossDataMode;
                 ossDataMode << "VhtMcs" << mcs;
+
+                if (is80Plus80)
+                {
+                    channelStr += std::string(";") + channelStr;
+                }
+
+                wifi.SetStandard(WIFI_STANDARD_80211ac);
                 wifi.SetRemoteStationManager("ns3::ConstantRateWifiManager",
                                              "DataMode",
                                              StringValue(ossDataMode.str()),
@@ -164,23 +177,53 @@
 
                 Ssid ssid = Ssid("ns3-80211ac");
 
-                mac.SetType("ns3::StaWifiMac", "Ssid", SsidValue(ssid));
-
-                NetDeviceContainer staDevice;
-                staDevice = wifi.Install(phy, mac, wifiStaNode);
-
-                mac.SetType("ns3::ApWifiMac",
-                            "EnableBeaconJitter",
-                            BooleanValue(false),
-                            "Ssid",
-                            SsidValue(ssid));
-
-                NetDeviceContainer apDevice;
-                apDevice = wifi.Install(phy, mac, wifiApNode);
+                if (phyModel == "Spectrum")
+                {
+                    auto spectrumChannel = CreateObject<MultiModelSpectrumChannel>();
+                    auto lossModel = CreateObject<LogDistancePropagationLossModel>();
+                    spectrumChannel->AddPropagationLossModel(lossModel);
+
+                    SpectrumWifiPhyHelper phy;
+                    phy.SetPcapDataLinkType(WifiPhyHelper::DLT_IEEE802_11_RADIO);
+                    phy.SetChannel(spectrumChannel);
+
+                    phy.Set("ChannelSettings",
+                            StringValue("{0, " + std::to_string(channelWidth) + ", BAND_5GHZ, 0}"));
+
+                    mac.SetType("ns3::StaWifiMac", "Ssid", SsidValue(ssid));
+                    staDevice = wifi.Install(phy, mac, wifiStaNode);
+
+                    mac.SetType("ns3::ApWifiMac",
+                                "EnableBeaconJitter",
+                                BooleanValue(false),
+                                "Ssid",
+                                SsidValue(ssid));
+                    apDevice = wifi.Install(phy, mac, wifiApNode);
+                }
+                else
+                {
+                    auto channel = YansWifiChannelHelper::Default();
+                    YansWifiPhyHelper phy;
+                    phy.SetPcapDataLinkType(WifiPhyHelper::DLT_IEEE802_11_RADIO);
+                    phy.SetChannel(channel.Create());
+
+                    phy.Set("ChannelSettings",
+                            StringValue("{0, " + std::to_string(channelWidth) + ", BAND_5GHZ, 0}"));
+
+                    mac.SetType("ns3::StaWifiMac", "Ssid", SsidValue(ssid));
+                    staDevice = wifi.Install(phy, mac, wifiStaNode);
+
+                    mac.SetType("ns3::ApWifiMac",
+                                "EnableBeaconJitter",
+                                BooleanValue(false),
+                                "Ssid",
+                                SsidValue(ssid));
+                    apDevice = wifi.Install(phy, mac, wifiApNode);
+                }
 
                 int64_t streamNumber = 150;
-                streamNumber += wifi.AssignStreams(apDevice, streamNumber);
-                streamNumber += wifi.AssignStreams(staDevice, streamNumber);
+                streamNumber += WifiHelper::AssignStreams(apDevice, streamNumber);
+                streamNumber += WifiHelper::AssignStreams(staDevice, streamNumber);
 
                 // mobility.
                 MobilityHelper mobility;
@@ -211,7 +254,8 @@
                 apNodeInterface = address.Assign(apDevice);
 
                 /* Setting applications */
-                const auto maxLoad = VhtPhy::GetDataRate(mcs, channelWidth, sgi ? 400 : 800, 1);
+                const auto maxLoad =
+                    VhtPhy::GetDataRate(mcs, channelWidth, NanoSeconds(sgi ? 400 : 800), 1);
                 ApplicationContainer serverApp;
                 if (udp)
                 {
@@ -283,8 +327,9 @@
 
                 Simulator::Destroy();
 
-                std::cout << mcs << "\t\t\t" << channelWidth << " MHz\t\t\t" << std::boolalpha
-                          << sgi << "\t\t\t" << throughput << " Mbit/s" << std::endl;
+                std::cout << +mcs << "\t\t\t" << widthStr << " MHz\t\t"
+                          << (widthStr.size() > 3 ? "" : "\t") << (sgi ? "400 ns" : "800 ns")
+                          << "\t\t\t" << throughput << " Mbit/s" << std::endl;
 
                 // test first element
                 if (mcs == minMcs && channelWidth == 20 && !sgi)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-wired-bridging.cc ns-3.43/examples/wireless/wifi-wired-bridging.cc
--- ns-3.42/examples/wireless/wifi-wired-bridging.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/examples/wireless/wifi-wired-bridging.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // Default network topology includes some number of AP nodes specified by
@@ -92,7 +81,7 @@
 
     backboneDevices = csma.Install(backboneNodes);
 
-    double wifiX = 0.0;
+    meter_u wifiX = 0.0;
 
     YansWifiPhyHelper wifiPhy;
     wifiPhy.SetPcapDataLinkType(WifiPhyHelper::DLT_IEEE802_11_RADIO);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/ns3 ns-3.43/ns3
--- ns-3.42/ns3	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/ns3	2024-10-09 16:41:09.844655800 -0700
@@ -13,7 +13,9 @@
 ns3_path = os.path.dirname(os.path.realpath(os.path.abspath(__file__)))
 append_to_ns3_path = functools.partial(os.path.join, ns3_path)
 out_dir = os.sep.join([ns3_path, "build"])
-lock_file = os.sep.join([ns3_path, ".lock-ns3_%s_build" % sys.platform])
+platform = sys.platform
+platform = "bsd" if "bsd" in platform else platform
+lock_file = os.sep.join([ns3_path, ".lock-ns3_%s_build" % platform])
 
 max_cpu_threads = max(1, os.cpu_count() - 1)
 print_buffer = ""
@@ -655,7 +657,7 @@
 def clean_cmake_artifacts(dry_run=False):
     remove_dir(out_dir, dry_run, "output")
 
-    cmake_cache_files = glob.glob("%s/**/CMakeCache.txt" % ns3_path, recursive=True)
+    cmake_cache_files = glob.glob("%s/**/CMakeCache.txt" % ns3_path)
     for cmake_cache_file in cmake_cache_files:
         dirname = os.path.dirname(cmake_cache_file)
         remove_dir(dirname, dry_run, "CMake cache")
@@ -705,7 +707,7 @@
 
 def search_cmake_cache(build_profile):
     # Search for the CMake cache
-    cmake_cache_files = glob.glob("%s/**/CMakeCache.txt" % ns3_path, recursive=True)
+    cmake_cache_files = glob.glob("%s/**/CMakeCache.txt" % ns3_path)
     current_cmake_cache_folder = None
     current_cmake_generator = None
 
@@ -1283,7 +1285,9 @@
             "check-version",
             "cmake-format",
             "cmake-format-check",
+            "coverage_cobertura",
             "coverage_gcc",
+            "coverage_html",
             "docs",
             "doxygen",
             "doxygen-no-build",
@@ -1301,7 +1305,7 @@
         # Build targets in the list
         for target in args.build:
             if target in ns3_modules:
-                target = "lib" + target
+                pass
             elif target not in non_executable_targets:
                 target = get_target_to_build(target, ns3_version, build_profile)
             else:
@@ -1692,14 +1696,6 @@
     if os.getenv("CLICOLOR") is None:
         os.environ["CLICOLOR"] = "1"
 
-    # If pybindgen exists in the parent directory
-    # (e.g. ns3-all-in-one), add it to the PYTHONPATH
-    pybindgen_dir = glob.glob(os.path.abspath(append_to_ns3_path("..", "pybindgen*")))
-    if pybindgen_dir:
-        if "PYTHONPATH" not in os.environ:
-            os.environ["PYTHONPATH"] = ""
-        os.environ["PYTHONPATH"] += path_sep + pybindgen_dir[0]
-
     # Parse arguments
     args = parse_args(sys.argv[1:])
     atexit.register(exit_handler, dry_run=args.dry_run)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/scratch/nested-subdir/lib/scratch-nested-subdir-library-header.h ns-3.43/scratch/nested-subdir/lib/scratch-nested-subdir-library-header.h
--- ns-3.42/scratch/nested-subdir/lib/scratch-nested-subdir-library-header.h	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/scratch/nested-subdir/lib/scratch-nested-subdir-library-header.h	2024-10-09 16:41:09.844655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // This header does not provide much functionality but is meant to demonstrate how,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/scratch/nested-subdir/lib/scratch-nested-subdir-library-source.cc ns-3.43/scratch/nested-subdir/lib/scratch-nested-subdir-library-source.cc
--- ns-3.42/scratch/nested-subdir/lib/scratch-nested-subdir-library-source.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/scratch/nested-subdir/lib/scratch-nested-subdir-library-source.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // This file contains the implementation of the functions declared in the
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/scratch/nested-subdir/scratch-nested-subdir-executable.cc ns-3.43/scratch/nested-subdir/scratch-nested-subdir-executable.cc
--- ns-3.42/scratch/nested-subdir/scratch-nested-subdir-executable.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/scratch/nested-subdir/scratch-nested-subdir-executable.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // This example shows how to create new simulations that are implemented in
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/scratch/scratch-simulator.cc ns-3.43/scratch/scratch-simulator.cc
--- ns-3.42/scratch/scratch-simulator.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/scratch/scratch-simulator.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/core-module.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/scratch/subdir/scratch-subdir-additional-header.cc ns-3.43/scratch/subdir/scratch-subdir-additional-header.cc
--- ns-3.42/scratch/subdir/scratch-subdir-additional-header.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/scratch/subdir/scratch-subdir-additional-header.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // This file contains the implementation of the functions declared in the
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/scratch/subdir/scratch-subdir-additional-header.h ns-3.43/scratch/subdir/scratch-subdir-additional-header.h
--- ns-3.42/scratch/subdir/scratch-subdir-additional-header.h	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/scratch/subdir/scratch-subdir-additional-header.h	2024-10-09 16:41:09.844655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // This header does not provide much functionality but is meant to demonstrate how,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/scratch/subdir/scratch-subdir.cc ns-3.43/scratch/subdir/scratch-subdir.cc
--- ns-3.42/scratch/subdir/scratch-subdir.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/scratch/subdir/scratch-subdir.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // This example shows how to create new simulations that are implemented in
